package jp.hasc.hasctool.core.runtime.hierarchize;

import jp.hasc.hasctool.core.messaging.MessageConnector;
import jp.hasc.hasctool.core.messaging.MessageProcessor;

/**
 * 入力をそのまま出力するフィルタです
 * @author iwasaki
 */
public class IdentityFilter extends MessageConnector {
	public MessageProcessor getInputPort() { return this; }
	public MessageConnector getOutputPort() { return this; }
}
